## org.apache.http.params
Class HttpConnectionParamBean

    java.lang.Object
      org.apache.http.params.HttpAbstractParamBean
          org.apache.http.params.HttpConnectionParamBean

    public class HttpConnectionParamBean

extends HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP connection parameters using Java Beans conventions.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.params.HttpAbstractParamBean
`params`

Constructor Summary
`HttpConnectionParamBean(HttpParams params)`

Method Summary
`void` `setConnectionTimeout(int connectionTimeout)`
`void` `setLinger(int linger)`
`void` `setSocketBufferSize(int socketBufferSize)`
`void` `setSoTimeout(int soTimeout)`
`void` `setStaleCheckingEnabled(boolean staleCheckingEnabled)`
`void` `setTcpNoDelay(boolean tcpNoDelay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpConnectionParamBean

    public HttpConnectionParamBean(HttpParams params)

Method Detail

### setSoTimeout

    public void setSoTimeout(int soTimeout)

### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

### setSocketBufferSize

    public void setSocketBufferSize(int socketBufferSize)

### setLinger

    public void setLinger(int linger)

### setConnectionTimeout

    public void setConnectionTimeout(int connectionTimeout)

### setStaleCheckingEnabled

    public void setStaleCheckingEnabled(boolean staleCheckingEnabled)

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.